import java.util.*;

class HangmanGame
{
    public static void main(String[] args)
    {
        Scanner input = new Scanner(System.in);
        // initialize board
        HangmanBoard board = new HangmanBoard();
        
        // play game
        char guess;
        while(!board.hasWon() && !board.hasLost())
        {
            // display blanks and guesses remaining
            System.out.println(board.toString());

            // prompt for and accept guess
            System.out.print("Enter next guess: ");
            guess = input.nextLine().charAt(0);
            boolean charFound = board.makeGuess(guess);
            if (charFound)
                System.out.println(guess + " was found in the answer. Whew.");
            else
                System.out.println(guess + " doesn't appear in the answer. One step closer to losing!");
        }
        System.out.println("The answer was: " + board.getAnswer());
        if (board.hasWon())
            System.out.println("Congratulations, you win!");
        if (board.hasLost())
            System.out.println("Sorry, too many guesses -- you lose!");
    }
}