/******************************************************************************
 * Point.java
 * Matthew Chartier
 * CS50, Fall 2010
 *
 * Implement a 2D Point class.
 *****************************************************************************/

class Point
{
    // private variables representing our coordinates
    private int x;
    private int y;

    // constructor method
    // sets up initial conditions of a newly-created Point object
    public Point(int init_x, int init_y)
    {
        x = init_x;
        y = init_y;
    }

    // public method which accesses private variables
    // we control what is accessible to the end user
    public int printLength()
    {
        return (int) Math.sqrt(Math.pow(x, 2) + Math.pow(y, 2));
    }

}